@import 'src/style/variables.module.scss';
@import 'src/style/includes/sass_vars_and_mixins.module.scss';


/* 
* Global content enhancements simply based on element type or global class
 */
.enhanceContent {
  @each $name in $colors-sectors {
    :global(.sector-#{$name}) {
      font-weight: bold;
      background: linear-gradient(transparent 0%, transparent 90%, var(--color-sectors-#{$name}) 90%);
      @include text-border(#fff);
    }
  }

  @each $name in $colors-energy-sources {
    :global(.energy_source-#{$name}) {
      font-weight: bold;
      background: linear-gradient(transparent 0%, transparent 90%, var(--color-energy-sources-#{$name}) 90%);
      @include text-border(#fff);
    }
  }

  @each $name in $colors-gases {
    :global(.gas-#{$name}) {
      font-weight: bold;
      background: linear-gradient(transparent 0%, transparent 90%, var(--color-gases-#{$name}) 90%);
      @include text-border(#fff);
    }
  }

  @each $name in $colors-emissions {
    :global(.emissions-#{$name}) {
      font-weight: bold;
      background: linear-gradient(transparent 0%, transparent 90%, var(--color-emissions-#{$name}) 90%);
      @include text-border(#fff);
    }
  }
}

.page {
  padding-top: var(--space-xxl);
  padding-bottom: var(--space-xxl);
}

.sticky {
  align-self: start;
  top: var(--space-s);
  position: sticky;

  @include smaller-than-s {
    position: unset;
  }
}

/* 
* Intended as base styles for static pages
 */
.content {
  page-break-inside: avoid;

  p:target,
  li:target {
    padding-left: var(--space-s);
    margin-left: -var(--space-s);
    background: var(--color-brand-weakest);
    border-radius: 2px;
  }

  h1,
  h2,
  h3,
  h4,
  h5 {
    font-weight: 500;
    page-break-after: avoid;
    page-break-inside: avoid;
    @extend %columnBreakHack;
    line-height: var(--font-line-height-tightest);
  }

  h1 {
    color: var(--color-brand-base);
    font-size: var(--font-size-xxxl);
    margin-top: 0;
    margin-bottom: var(--space-xxl);
  }

  h2 {
    font-size: var(--font-size-xl);
    margin-top: var(--space-xxl);
    margin-bottom: var(--space-xs);

    & + h3 {
      margin-top: var(--space-m);
    }
  }

  h3 {
    font-size: var(--font-size-l);
    margin-top: var(--space-xl);
    margin-bottom: var(--space-xs);

    & + h4 {
      margin-top: var(--space-m);
    }

    &:first-child {
      margin-top: 0;
    }
  }

  h4 {
    font-size: var(--font-size-m);
    margin-top: var(--space-xl);
    margin-bottom: var(--space-xs);

    & + h5 {
      margin-top: var(--space-m);
    }
  }

  h5 {
    font-size: var(--font-size-m);
    margin-top: var(--space-l);
    margin-bottom: var(--space-xxs);

    & + h6 {
      margin-top: var(--space-s);
    }
  }

  h6 {
    font-weight: 400;
    text-decoration: underline;
    font-size: var(--font-size-m);
    margin-top: var(--space-l);
    margin-bottom: var(--space-s);
  }

  p {
    margin-bottom: var(--space-l);
  }

  // LIST
  ul, ol {
    padding-left: 1.3em;
    margin-bottom: var(--space-l);
  }

  ol {
    padding-left: 1em;
  }

  ol li::marker {
    font-weight: bold;
    font-size: 0.9em;
  }

  li {
    margin-bottom: var(--space-xxs);
    list-style:disc;

    p {
      margin-bottom: var(--space-xs);

      &:last-child {
        margin-bottom: 0;
      }
    }
  }

  ol li {
    padding-left: 0.4em;
  }

  &.minor,
  .minor {
    font-size: var(--font-size-s);
  }

  &.profile {
    p {
      margin-top: 0;
      margin-bottom: var(--space-m);

      &:last-child {
        margin-bottom: 0;
      }
    }

    h2,
    h3 {
      font-size: var(--font-size-xl);
      margin-bottom: var(--space-m);
      margin-top: var(--space-xl);

      &:first-child {
        margin-top: 0;
      }
    }

    h4 {
      font-size: var(--font-size-m);
      margin-bottom: var(--space-xxs);
      margin-top: 0;
    }
  }

  img {
    max-width: 100%;
  }

  :global(#bibliography ~ p) {
    font-size: var(--font-size-s);
    margin-bottom: var(--space-s);
  }
}


.sectionTitle {
  color: var(--color-brand-base);
  font-size: var(--font-size-xxxl);
  line-height: var(--font-line-height-tightest);
  display: flex;
  align-items: center;
  margin-bottom: var(--space-l);
  margin-top: 0;
}

.sectionLead {
  font-size: var(--font-size-l);
  line-height: var(--font-line-height-tighter);
  margin-bottom: var(--space-xxl);
}

.subsectionTitle {
  color: var(--color-brand-base);
  font-size: var(--font-size-m);
  display: inline-flex;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: var(--space-s);
  padding-bottom: var(--space-xxs);
  position: relative;
}

.sectionLinks {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding-bottom: var(--space-xxl);
}

.sectionLink {
  font-weight: bold;
  margin-bottom: var(--space-xxs);
}